Re: LaTeX packages #mathjax


smmuller@...
 

I looked into it a little more:
  • xparse: The xparse package isn't on the list of LaTeX packages supported by Mathjax, and the actual command we need from it, \DeclareDocumentCommand, isn't in the list of supported LaTeX commands in Mathjax, so I don’t think that's going to be easy to incorporate into LibreTexts. I will probably just rewrite the equations that use optional commands.
  • bussproofs: It looks like bussproofs is one of the LaTeX packages that Mathjax supports, so that should be possible to incorporate into LibreTexts. (I'm just not sure how - I'm not sure where I would go to change the site's Mathjax configuration, and whether I would have the permission level to do that.)
  • amssymb: The amssymb package isn't on the supported-LaTeX-packages list, but the actual command we need, \mathsfit, is in the list of supported commands. It's not working for me when I try to use it on LibreTexts, though, so I'm not sure what's going on there. 

Join main@Libretexts-ConstructionForum.groups.io to automatically receive all group messages.